### Method

# Atspi Text set_selection

#### Declaration [src]

    gboolean
    atspi_text_set_selection (
      AtspiText* obj,
      gint selection_num,
      gint start_offset,
      gint end_offset,
      GError** error
    )

#### Description [src]

Changes the bounds of an existing `AtspiText` text selection.

#### Parameters

`selection_num`

  Type: `gint`

  A zero-offset index indicating which text selection to modify.

`start_offset`

  Type: `gint`

  A #gint indicating the new starting offset for the selection.

`end_offset`

  Type: `gint`

  A #gint indicating the desired new offset of the first character after the selection.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.